Subject: Re: May I update the Greek version(s) of DarwinDay.org?

From: nsk <[email-masked]>
Date: Sat, 10 Mar 2007 03:28:09 +0200

On Sat, 2007-03-10 at 00:44 +0000, Translation coordinator wrote:
> We 
> recently received an offer of translation from a Greek anthropologist, 
> in Komotini, Greece, and they could start translating if you are too busy.

Hi,

Please accept the anthropologist's offer.  I hope they have more free
time than me!  Unfortunately I was too busy all this time.

Thanks,
Nikolaos